package MyWebApp.Beans;

import javax.annotation.PostConstruct;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import java.io.Serializable;

@ManagedBean(name="AreaBean")
@ApplicationScoped
public class AreaBean implements Serializable
{
    private static float XMinLimit = -5;
    private static float XMaxLimit = 5;
    private static float YMaxLimit = -5;
    private static float YMinLimit = 3;

    public HistoryItem solve(float X, float Y, float R)
    {
        HistoryItem item = null;
        //if(checkValues(X,Y,R))
            item = new HistoryItem(X,Y,R, checkArea(X,Y,R));

        return item;
    }

    boolean checkValues(float X, float Y, float R)
    {
        boolean result = true;
        if(X < XMinLimit || X > XMaxLimit)
            result = false;
        if(Y < YMinLimit || Y > YMaxLimit)
            result = false;

        return result;
    }

    boolean checkArea(float X, float Y, float R)
    {
        boolean res = false;

        if(X > 0)
        {
           if(Y < 0)
               res = FourthQuarter(X, Y, R);
        }
        else
        {
            if(Y > 0)
                res = SecondQuarter(X, Y, R);
            else
                res = ThirdQuarter(X, Y, R);
        }
       return res;
    }

    boolean SecondQuarter(float X, float Y, float R)
    {
        boolean res = false;

        if(-X < R && Y < R)
        {
            res = true;
        }

        return res;
    }

    boolean ThirdQuarter(float X, float Y, float R)
    {
        boolean res = false;

        if(Math.pow(X,2) + Math.pow(Y, 2) < Math.pow(R,2))
            res = true;

        return res;
    }

    boolean FourthQuarter(float X, float Y, float R)
    {
        boolean res = false;

        if(X/2 - R/2 > Y)
            res = true;

        return !res;
    }


}
