package RegLocation;

import RegLocation.Client.Client;
import RegLocation.Server.SilhouetteServer;

import java.net.InetSocketAddress;
import java.net.SocketAddress;
import java.text.NumberFormat;

/**
 * Created by oleeq2 on 11.12.13.
 */
public class Main
{
    public static void main(String[] args)
    {
        if(args[0].equals("-server"))
        {
            try
            {
                SocketAddress addr = new InetSocketAddress(Integer.parseInt(args[1]));
                SilhouetteServer srv = new SilhouetteServer(addr);
            }
            catch (Exception ex)
            {
                System.out.println("Wrong cmd args");
                return;
            }
        }
        else
        {
            if(args.length < 2)
            {
                System.out.println("Too litle args");
                return;
            }
            try
            {
                SocketAddress addr = new InetSocketAddress(args[0],Integer.parseInt(args[1]));
                Client        cli  = new Client(addr);
            }
            catch (NumberFormatException ex)
            {
                System.out.println("Wrong cmd args");
                return;
            }

        }
    }
}
