
function checkData()
{
    var val = false;
    val =  checkX() && checkY() && checkR();
    return val;
}

function checkX()
{
    var value = document.getElementById('x_pos').value;

    var result = true;
    var validFormat = isNumber(value)

    if(value > 5 || value < -5 || !validFormat)
        result = false;

    return result;
}

function checkY()
{
    var result = false;
    var ys_elem = document.getElementsByName('y_pos')
    for(i = 0; i < ys_elem.length; i++)
        if(ys_elem[i].checked == true)
        {
            result = true;
            break;
        }

    return result;
}

function checkR()
{
    var result = false;
    var ys_elem = document.getElementsByName('radius')
    for(i = 0; i < ys_elem.length; i++)
        if(ys_elem[i].checked == true)
        {
            result = true;
            break;
        }

    return result;
}

function isNumber(n)
{
    return !isNaN(parseFloat(n)) && isFinite(n);
}

function imgClickHandler(ClickEvent)
{
    if(!checkR())
    {
        alert("Значение R не установлено!");
        return;
    }

    var parrentPos = getPosition(ClickEvent.currentTarget);
    var xPos = ClickEvent.clientX - parrentPos.x;
    var yPos = ClickEvent.clientY - parrentPos.y;

    var height = ClickEvent.currentTarget.clientHeight;
    var width  = ClickEvent.currentTarget.clientWidth;
    var r;
    var els = document.getElementsByName('radius');

    for(i = 0; i < els.length; i++)
        if(els[i].checked == true)
        {
            r = els[i].value;
            break;
        }

    xScaled = 2*(xPos - height/2)/height;
    yScaled = -2*(yPos - width/2)/width;

    var yVal = yScaled*r;
    var xVal = xScaled*r;

    document.getElementById('xVal').value = xVal;
    document.getElementById('yVal').value = yVal;
}

function getPosition(element)
{
    var xPos = 0;
    var yPos = 0;

    while(element)
    {
        xPos += (element.offsetLeft - element.scrollLeft + element.clientLeft);
        yPos += (element.offsetTop - element.scrollTop + element.clientTop);
        element = element.offsetParent;
    }

    return {x: xPos, y:yPos};
}


