package MyWebApp.Beans;

import javax.annotation.PostConstruct;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

import java.io.Serializable;
import java.util.Vector;


@ManagedBean(name="HistoryBean")
@ApplicationScoped
public class HistoryBean implements Serializable
{
    Vector<HistoryItem> history;

    @PostConstruct
    public void init()
    {
        history = new Vector<HistoryItem>();
    }

    public void addItem(HistoryItem item)
    {
        history.add(item);
    }

    public HistoryItem[] toArray()
    {
        return history.toArray(new HistoryItem[history.size()]);
    }

}